{ stdenvNoCC, fetchurl, appimageTools }:
let
  bname = "sc-controller";
  version = "0.4.7";
  pname = "${bname}-bin";
in with stdenvNoCC; with appimageTools; wrapAppImage rec {
  name = "${pname}-${version}";
  src = mkDerivation {
    name = "${name}-patched";
    phases = ["installPhase"];
    src = extract {
      inherit name;
      src = fetchurl {
        url = "https://github.com/kozec/${bname}/releases/download/v${version}/${bname}-${version}.glibc-x86_64.AppImage";
        sha256 = "1v4s3p8m8kpb5hkidrld34zc4i979xjjgwlgamn972fbbvlzg38c";
      };
    };
    installPhase = ''
      mkdir $out
      for file in $src/*; do
        ln -s $file $out
      done
      rm $out/AppRun
      cp $src/AppRun $out
      ( cd $out ; patch -p1 < ${./AppRun.patch} )
    '';
  };
  extraPkgs = x: with x; [
    librsvg
    gnome3.gobject-introspection
    (mkDerivation rec {
      name = "libffi.so.6";
      phases = "installPhase";
      installPhase = ''
        mkdir -p $out/lib
        ln -s ${libffi}/lib/libffi.so $out/lib/${name}
      '';
    })
  ];
  extraInstallCommands = ''
    mv $out/bin/${name} $out/bin/${bname}
  '';
}
